Document full-text search
POST/searchFulltext
Document full-text search (and more robust multi-tag search queries, powered by OpenSearch); available as an Add-On Module
Request
Query Parameters
Site Identifier
IndexName to query
Limit Results
10- application/json
Body
required
Array [
]
Array [
Array [
]
]
query
object
required
Document full text search criteria
Result page to return (starting at 1)
Full text search
tags
object[]
List of search tags
Searches for strings that eq
Searches for ANY strings that eq
Tag key to search
attributes
object[]
List of search attributes
eq
DocumentFulltextAttributeEq
Search for string value
Search for number value
Search for boolean value
Search for date value
eqOr
DocumentFulltextAttributeEq[]
Searches for ANY strings that eq
Search for string value
Search for number value
Search for boolean value
Search for date value
Tag key to search
responseFields
SearchResponseFields
Responses
- 200
- 400
200 OK
Response Headers
Access-Control-Allow-Origin
string
Access-Control-Allow-Methods
string
Access-Control-Allow-Headers
string
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Total number of documents that matched the search query. When the number of matches exceeds 10,000, this value will be reported as 10,000+ unless the search request explicitly enables exact total hit tracking.
documents
object[]
List of search result documents
Site Identifier
Path or Name of document
Document Content-Type
Document Content Width property
Document Content Height property
Path or Name of deep link
Document resource type
Possible values: [DOCUMENT, DOSSIER, DEEP_LINK]
Inserted Timestamp
Last Modified Timestamp
Document checksum, changes when document file changes
The type of checksum to use for file validation
Possible values: [SHA1, SHA256, SHA512]
Document Identifier
Document size
User who added document
tags
object
metadata
object
attributes
object
property name*
FulltextAttribute
Inserted Timestamp
Attribute with string values
Attribute with number values
Attribute with boolean value
Attribute with date values
Attribute Value Type
Possible values: [BOOLEAN, DATE, KEY_ONLY, NUMBER, STRING, PUBLICATION, CLASSIFICATION, COMPOSITE_STRING, RELATIONSHIPS, WATERMARK, ENTITY]
{
"totalCount": 0,
"documents": [
{
"siteId": "string",
"path": "string",
"contentType": "string",
"width": "string",
"height": "string",
"deepLinkPath": "string",
"resourceType": "DOCUMENT",
"insertedDate": "string",
"lastModifiedDate": "string",
"checksum": "string",
"checksumType": "SHA1",
"documentId": "string",
"contentLength": 0,
"createdBy": "string",
"tags": {},
"metadata": {},
"attributes": {}
}
]
}
400 OK
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
errors
object[]
List of errors
Error Key
Error Message
{
"errors": [
{
"key": "string",
"error": "string"
}
]
}